Skip to main content
Advanced Search
Search Terms
Content Type

Exact Matches
Tag Searches
Date Options
Updated after
Updated before
Created after
Created before

Search Results

83 total results found

Tooling Guide

JavaScript Guides React Development Guide

EditorConfig Code Style # SPDX-FileCopyrightText: None # # SPDX-License-Identifier: 0BSD [*.html] indent_size = 2 tab_width = 2 [{*.js,*.jsx}] indent_size = 2 tab_width = 2 ij_continuation_indent_size = 4 ij_javascript_enforce_trailing_comma = whenmultiline [*...

Bootstrapping Laravel Project

PHP Guides Laravel Development Guides

Create a New Laravel Application laravel new --pest "[PROJECT_NAME]" Create a New Laravel Package laravel package "[PACKAGE_NAME]"

Base UI Component Library

JavaScript Guides React Development Guide

Installing Base UI yarn add @base-ui/react

New Page

JavaScript Guides

yarn add es-toolkit yarn add @fontsource-variable/google-sans @import "@fontsource-variable/google-sans/wght.css"; curl -fsSL https://deb.nodesource.com/setup_22.x | sudo -E bash - sudo apt install nodejs npm sudo corepack enable sudo apt install yarnpkg sudo ...

Design Manual

KB Havlas.Me Design Manual

LIGHT DARK PRIMARY #4f46e5 #4f46e5 LINK #379989 #2af5ad SUCCESS #379947 #2c7b39 WARNING #998037 #7b672c ERROR #993737 #7b2c2c INFO #377099 #2c5a7b BODY BACKGROUND #f2f2f2 #111111 PANE BACKGROUND #ffffff #222222 TEXT #444444 #AAAAAA HEADING #222222 #DDDDDD

New Page

TBD

SSL sites not working correctly behind vpn. Write to your address bar: about:config Search for: security.tls.version.max Change the value from 4 to 3. Click ok and you should be good to go! The broken sites should start working instantly!

Health Check Setup

PHP Guides Laravel Development Guides

Installation composer require spatie/laravel-health php artisan vendor:publish --tag="health-config" php artisan vendor:publish --tag="health-migrations" Configuration // in app/Service/HealthCheckService.php use Illuminate\Support\ServiceProvider; use Spatie\...

Immutable Date Setup

PHP Guides Laravel Development Guides

Configuration // in app/Service/ImmutableDateService.php use Carbon\CarbonImmutable; use Illuminate\Support\Facades\Date; use Illuminate\Support\ServiceProvider; class ImmutableDateService extends ServiceProvider { /** * Bootstrap any application serv...

Security Hardening Setup

PHP Guides Laravel Development Guides

Configuration // in app/Service/SecurityService.php use Illuminate\Support\Facades\DB; use Illuminate\Support\ServiceProvider; class SecurityService extends ServiceProvider { /** * Bootstrap any application services. */ public function boot()...

Authentication Support

PHP Guides Laravel Development Guides

Installation composer require laravel/sanctum composer require laravel/fortify php artisan install:api php artisan vendor:publish --provider="Laravel\Sanctum\SanctumServiceProvider" php artisan config:publish cors php artisan fortify:install php artisan vendor...

Tools

BB TBD

Spájkovacia stanica - JBC-CD-2BQF Hrot, conical 1mm - C245903 Hrot, chisel 1.2x0.7mm - C245906 Čistička hrotov - CL6210 Cín - 250g ovlovnaté Cín - 500g bezolovanté Flux - 50ml RF800 Flux - 10ml BTFO Izopropylový alkohol - 300ml aerosól Izopropylový alkohol - 5...

Troubleshooting

OpenWRT Admin

IPv6 via DHCP on WAN Remove Default DUID value on wan6 interface to fix dhcp assignment issues.

Bootstrapping a Debian Workstation

Debian Guides

Installation GNOME Desktop Clean Up the Standard Installation sudo apt purge gnome-clocks gnome-connections gnome-contacts gnome-maps gnome-music gnome-remote-desktop gnome-snapshot gnome-sound-recorder gnome-tour gnome-user-docs gnome-user-share gnome-weather...

How to Setup a YubiKey Authentication

Debian Guides How to Setup a...

Installation sudo apt install fido2-tools libpam-u2f pcscd sudo apt install yubikey-manager yubikey-personalization Configuration Set YubiKey PIN ykman fido access change-pin Disable YubiKey OTP Protocol ykman config usb --disable OTP Setup GNOME/PAM Authentic...

Protecting GRUB with a Password

Debian Guides Security Hardening

Installation sudo vi "/usr/local/sbin/grub-set-password" sudo chmod 0755 "/usr/local/sbin/grub-set-password" #!/bin/sh set -eu AUTH_CFG="/boot/grub/auth.cfg" if [ "$(id -u)" -ne 0 ]; then echo "This script must be run as root." >&2 exit 1 fi printf 'En...

Debian Machine Maintenance

Debian Guides

Keeping the System Up to Date sudo apt update sudo apt upgrade sudo apt autoremove sudo apt autoclean Upgrade to a New Release TODO: Write when Debian 14 releases. Cleaning Up the APT Cache sudo apt clean

Debian Workstation Personalization

Workstation PC Maintenance

Installation Install GNOME Shell Extensions Media Controls Configure Media Controls Extension dconf load /org/gnome/shell/extensions/mediacontrols/ <<'EOF' [/] cache-art=false colored-player-icon=false extension-index=uint32 10 extension-position='Left' show-l...

Verifying Installation Integrity

Debian Guides Security Hardening

Installation sudo apt install debsums Configuration sudo sed -i 's/^[#[:space:]]*CRON_CHECK=.*/CRON_CHECK=weekly/' "/etc/default/debsums" Usage Run Scan Manually sudo debsums --changed